SDL_OUT_Z_CAP(3)

NAME
SDL_OUT_Z_CAP - Macro that annotates function params with output string buffer size.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_OUT_Z_CAP(x) _Out_z_cap_(x)

DESCRIPTION
If we were to annotate snprintf:

        int snprintf(SDL_OUT_Z_CAP(maxlen) char *text, size_t maxlen, const char *fmt, ...);

This notes that text is a null-terminated C string, should be maxlen bytes in size, and is only written to by the function. The compiler or other analysis tools can warn when this doesn't appear to be the case.

On compilers without this annotation mechanism, this is defined to nothing.

AVAILABILITY
This macro is available since SDL 3.2.0.